Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
HierarchyEventListener Class Referenceabstract

Listen to events occuring within a Hierarchy. More...

Inherits Object.

## Public Member Functions
virtual | ~HierarchyEventListener ()
virtual void | addAppenderEvent (const log4cxx::helpers::ObjectPtrT< Logger > &logger, const log4cxx::helpers::ObjectPtrT< Appender > &appender)=0
virtual void | removeAppenderEvent (const log4cxx::helpers::ObjectPtrT< Logger > &logger, const log4cxx::helpers::ObjectPtrT< Appender > &appender)=0
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual void | addRef () const =0
virtual void | releaseRef () const =0
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Additional Inherited Members
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()

## Detailed Description

Listen to events occuring within a Hierarchy.

## Constructor & Destructor Documentation

virtual ~HierarchyEventListener | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual void addAppenderEvent | ( | const log4cxx::helpers::ObjectPtrT< Logger > & | logger,
|  | const log4cxx::helpers::ObjectPtrT< Appender > & | appender
| ) |  |
| pure virtual

virtual void removeAppenderEvent | ( | const log4cxx::helpers::ObjectPtrT< Logger > & | logger,
|  | const log4cxx::helpers::ObjectPtrT< Appender > & | appender
| ) |  |
| pure virtual

The documentation for this class was generated from the following file:

- hierarchyeventlistener.h